/// <reference types="react" />
declare const Chip: import("framer-motion").CustomDomComponent<import("@mui/joy").ChipSlotsAndSlotProps & {
    children?: import("react").ReactNode;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").ChipPropsColorOverrides> | undefined;
    disabled?: boolean | undefined;
    endDecorator?: import("react").ReactNode;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
    size?: import("@mui/types").OverridableStringUnion<"sm" | "md" | "lg", import("@mui/joy").ChipPropsSizeOverrides> | undefined;
    startDecorator?: import("react").ReactNode;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").ChipPropsVariantOverrides> | undefined;
} & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "onClick" | "variant" | "sx" | "disabled" | "size" | "endDecorator" | "startDecorator" | keyof import("@mui/joy").ChipSlotsAndSlotProps>>;
export { Chip };
